curl --request PATCH \
--url https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "<string>",
"activityLevel": "<string>",
"propertiesTypes": [
"<string>"
],
"priceRange": {
"low": 123,
"high": 123
},
"sizeRange": {
"low": 123,
"high": 123
},
"fieldRange": {
"low": 123,
"high": 123
},
"roomRange": {
"low": 123,
"high": 123
},
"bedroomRange": {
"low": 123,
"high": 123
},
"floorRange": {
"low": 123,
"high": 123
},
"bikeShed": true,
"mortgage": true,
"purpose": "<string>"
}
'import requests
url = "https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId}"
payload = {
"project": "<string>",
"activityLevel": "<string>",
"propertiesTypes": ["<string>"],
"priceRange": {
"low": 123,
"high": 123
},
"sizeRange": {
"low": 123,
"high": 123
},
"fieldRange": {
"low": 123,
"high": 123
},
"roomRange": {
"low": 123,
"high": 123
},
"bedroomRange": {
"low": 123,
"high": 123
},
"floorRange": {
"low": 123,
"high": 123
},
"bikeShed": True,
"mortgage": True,
"purpose": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: '<string>',
activityLevel: '<string>',
propertiesTypes: ['<string>'],
priceRange: {low: 123, high: 123},
sizeRange: {low: 123, high: 123},
fieldRange: {low: 123, high: 123},
roomRange: {low: 123, high: 123},
bedroomRange: {low: 123, high: 123},
floorRange: {low: 123, high: 123},
bikeShed: true,
mortgage: true,
purpose: '<string>'
})
};
fetch('https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'project' => '<string>',
'activityLevel' => '<string>',
'propertiesTypes' => [
'<string>'
],
'priceRange' => [
'low' => 123,
'high' => 123
],
'sizeRange' => [
'low' => 123,
'high' => 123
],
'fieldRange' => [
'low' => 123,
'high' => 123
],
'roomRange' => [
'low' => 123,
'high' => 123
],
'bedroomRange' => [
'low' => 123,
'high' => 123
],
'floorRange' => [
'low' => 123,
'high' => 123
],
'bikeShed' => true,
'mortgage' => true,
'purpose' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId}"
payload := strings.NewReader("{\n \"project\": \"<string>\",\n \"activityLevel\": \"<string>\",\n \"propertiesTypes\": [\n \"<string>\"\n ],\n \"priceRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"sizeRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"fieldRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"roomRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"bedroomRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"floorRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"bikeShed\": true,\n \"mortgage\": true,\n \"purpose\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project\": \"<string>\",\n \"activityLevel\": \"<string>\",\n \"propertiesTypes\": [\n \"<string>\"\n ],\n \"priceRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"sizeRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"fieldRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"roomRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"bedroomRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"floorRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"bikeShed\": true,\n \"mortgage\": true,\n \"purpose\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project\": \"<string>\",\n \"activityLevel\": \"<string>\",\n \"propertiesTypes\": [\n \"<string>\"\n ],\n \"priceRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"sizeRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"fieldRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"roomRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"bedroomRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"floorRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"bikeShed\": true,\n \"mortgage\": true,\n \"purpose\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyMettre à jour les critères d'une acquisition
Corrige les critères de recherche d’une fiche acquéreur existante sans repasser par le pipeline leadgen.
step n’est pas modifiable ici (voir /qualify), pas plus que customId, parsingCustomId, mandate, owner et agency. Les zones de recherche (areas) ne sont pas modifiables non plus.
En cas de modification concurrente : 409 avec le code TRANSACTION_EDIT_CONFLICT, rejouer la requête.
curl --request PATCH \
--url https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "<string>",
"activityLevel": "<string>",
"propertiesTypes": [
"<string>"
],
"priceRange": {
"low": 123,
"high": 123
},
"sizeRange": {
"low": 123,
"high": 123
},
"fieldRange": {
"low": 123,
"high": 123
},
"roomRange": {
"low": 123,
"high": 123
},
"bedroomRange": {
"low": 123,
"high": 123
},
"floorRange": {
"low": 123,
"high": 123
},
"bikeShed": true,
"mortgage": true,
"purpose": "<string>"
}
'import requests
url = "https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId}"
payload = {
"project": "<string>",
"activityLevel": "<string>",
"propertiesTypes": ["<string>"],
"priceRange": {
"low": 123,
"high": 123
},
"sizeRange": {
"low": 123,
"high": 123
},
"fieldRange": {
"low": 123,
"high": 123
},
"roomRange": {
"low": 123,
"high": 123
},
"bedroomRange": {
"low": 123,
"high": 123
},
"floorRange": {
"low": 123,
"high": 123
},
"bikeShed": True,
"mortgage": True,
"purpose": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: '<string>',
activityLevel: '<string>',
propertiesTypes: ['<string>'],
priceRange: {low: 123, high: 123},
sizeRange: {low: 123, high: 123},
fieldRange: {low: 123, high: 123},
roomRange: {low: 123, high: 123},
bedroomRange: {low: 123, high: 123},
floorRange: {low: 123, high: 123},
bikeShed: true,
mortgage: true,
purpose: '<string>'
})
};
fetch('https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'project' => '<string>',
'activityLevel' => '<string>',
'propertiesTypes' => [
'<string>'
],
'priceRange' => [
'low' => 123,
'high' => 123
],
'sizeRange' => [
'low' => 123,
'high' => 123
],
'fieldRange' => [
'low' => 123,
'high' => 123
],
'roomRange' => [
'low' => 123,
'high' => 123
],
'bedroomRange' => [
'low' => 123,
'high' => 123
],
'floorRange' => [
'low' => 123,
'high' => 123
],
'bikeShed' => true,
'mortgage' => true,
'purpose' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId}"
payload := strings.NewReader("{\n \"project\": \"<string>\",\n \"activityLevel\": \"<string>\",\n \"propertiesTypes\": [\n \"<string>\"\n ],\n \"priceRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"sizeRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"fieldRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"roomRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"bedroomRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"floorRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"bikeShed\": true,\n \"mortgage\": true,\n \"purpose\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project\": \"<string>\",\n \"activityLevel\": \"<string>\",\n \"propertiesTypes\": [\n \"<string>\"\n ],\n \"priceRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"sizeRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"fieldRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"roomRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"bedroomRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"floorRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"bikeShed\": true,\n \"mortgage\": true,\n \"purpose\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.avest.fr/v1/external-integration/acquisition/{acquisitionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project\": \"<string>\",\n \"activityLevel\": \"<string>\",\n \"propertiesTypes\": [\n \"<string>\"\n ],\n \"priceRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"sizeRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"fieldRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"roomRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"bedroomRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"floorRange\": {\n \"low\": 123,\n \"high\": 123\n },\n \"bikeShed\": true,\n \"mortgage\": true,\n \"purpose\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyAutorisations
Token LinkedAPI avec scope externalIntegration. La clé doit avoir un agencyGroup configuré (sinon 400 LinkedAPI agencyGroup is required). Fourni via l'en-tête Authorization: Bearer {linkedAPI_token}. Si la clé a secure === true, l'IP appelante doit être whitelistée (en-tête X-Real-IP), sinon 403 Not authorized to access this resource.
La clé porte aussi un niveau d'accès : en lecture seule, elle n'autorise que les GET ; un POST ou un PATCH renvoie alors 403 Not authorized to access this resource, soit la même réponse qu'une requête sans en-tête Authorization. Voir le guide Authentification.
Paramètres de chemin
Corps
Au moins un champ. Critères de recherche uniquement — step, customId, parsingCustomId, mandate, owner, agency et areas ne sont pas modifiables.
Réponse
Acquisition mise à jour.